
package com.tmerclub.cloud.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @Author lth
 * @Date 2021/4/26 10:12
 */
@Data
public class ShopBankCardVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键id")
    private Long shopBankCardId;

    @Schema(description = "银行名称")
    private String bankName;

    @Schema(description = "账户名")
    private String recipientName;

    @Schema(description = "账号")
    private String cardNo;

    @Schema(description = "支行名称")
    private String branchName;

    @Schema(description = "是否为默认")
    private Integer isDefault;

    @Schema(description = "是否已验证")
    private Integer isVerify;

    @Schema(description = "店铺id")
    private Long shopId;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getShopBankCardId() {
        return shopBankCardId;
    }

    public void setShopBankCardId(Long shopBankCardId) {
        this.shopBankCardId = shopBankCardId;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getRecipientName() {
        return recipientName;
    }

    public void setRecipientName(String recipientName) {
        this.recipientName = recipientName;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public Integer getIsVerify() {
        return isVerify;
    }

    public void setIsVerify(Integer isVerify) {
        this.isVerify = isVerify;
    }

    @Override
    public String toString() {
        return "ShopBankCardVO{" +
                "shopBankCardId=" + shopBankCardId +
                ", bankName='" + bankName + '\'' +
                ", recipientName='" + recipientName + '\'' +
                ", cardNo='" + cardNo + '\'' +
                ", branchName='" + branchName + '\'' +
                ", isDefault=" + isDefault +
                ", isVerify=" + isVerify +
                ", shopId=" + shopId +
                '}';
    }
}
